﻿# Netmash.Extensions.Caching

***Netmash.Extensions.Caching*** is a NuGet package that simplifies the implementation of caching in a .NET service.

## Package repository
Netmash.Extensions.Caching can be installed from my self hosted NuGet feed: https://lab.code-rove.com/public-nuget-server/

## Installation

### Visual Studio

#### NuGet.config file
```xml=!
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <clear />
    <add key="nuget.org" value="https://api.nuget.org/v3/index.json" />
    <add key="lab.nuget" value="https://lab.code-rove.com/public-nuget-server/v3/index.json" />
  </packageSources>
</configuration>
```

Configure the above file in the Visual Studio solution or set the new NuGet feed in NuGet Package Manager. After one of this steps, Netmash.Extensions.Caching can be installed using NuGet Package Manager.


### CLI

```bash=!
dotnet add package Netmash.Extensions.Caching --source https://lab.code-rove.com/public-nuget-server/v3/index.json
```

Run the above command in a console open in a .NET project directory.