﻿using System.Collections.Generic;

namespace Netmash.Security.Authentication.Tuitio.Abstractions
{
    public interface IUserContextAccessor
    {
        bool UserIsLoggedIn { get; }
        string UserId { get; }
        string UserName { get; }
        IEnumerable<(int id, string code)> UserGroups { get; }
        IEnumerable<(int id, string code)> UserRoles { get; }
        bool IsAnonymousGuest { get; }
    }
}
